define(['jquery', 'underscore', 'backbone', 'text!modules/about/aboutViewTemplate.html', 'modules/base/baseView', 'classes/profile'],
        function ($, _, Backbone, aboutViewTemplate, BaseView, Profile) {

            var AboutView = BaseView.extend({
                //initialize template
                template: _.template(aboutViewTemplate),
                initialize: function () {
                    this.id = "AboutView";
                    AboutView.__super__.initialize.call(this);
                },
                //render the content into div of view 
                render: function () {
                    if (this.created === true)
                    {
                        //this.header.title = "pippo";
                        AboutView.__super__.render.call(this);
                        //this.el is the root element of Backbone.View. By default, it is a div.    
                        //$el is cached jQuery object for the view's element.
                        //append the compiled template into view div container
                        this.$el.append(this.header.$el);
                        this.$el.append(this.template({app: myManifest, profile: Profile}));
                        this.$el.append(this.footer.$el);
                        this.$el.find("#infoBtn").addClass("ui-btn-active");
                    }
                    //$("#homeBtn").addClass("ui-btn-active");        
                    //return to enable chained calls
                    return this;
                }
            });
            return AboutView;
        });